cURL
curl -X POST https://acme.orgo.space/api/v1/contracts \
-H "Api-Token: $ORGO_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Member Agreement 2026",
"content": "<h1>Member Agreement</h1><p>Hello {{firstName}}...</p>",
"unit": "/api/v1/units/4",
"requiresDigitalSignature": true,
"displayInProfile": true
}'
await fetch("https://acme.orgo.space/api/v1/contracts", {
method: "POST",
headers: {
"Api-Token": process.env.ORGO_API_TOKEN,
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "Member Agreement 2026",
content: "<h1>Member Agreement</h1><p>Hello {{firstName}}...</p>",
unit: "/api/v1/units/4",
requiresDigitalSignature: true,
displayInProfile: true,
}),
});
$client->post('/api/v1/contracts', [
'headers' => ['Api-Token' => getenv('ORGO_API_TOKEN')],
'json' => [
'name' => 'Member Agreement 2026',
'content' => '<h1>Member Agreement</h1><p>Hello {{firstName}}...</p>',
'unit' => '/api/v1/units/4',
'requiresDigitalSignature' => true,
'displayInProfile' => true,
],
]);
import requests
url = "https://app.orgo.space/api/v1/contracts"
payload = {
"name": "Member Agreement 2026",
"content": "<h1>Civic Collective — Member Agreement</h1>
<p>This agreement is entered into between Civic Collective (\"the organization\") and {{firstName}} {{lastName}} (\"the member\") on {{dateSigned}}.</p>
<p>The member agrees to abide by the code of conduct...</p>
",
"unit": "/api/v1/units/4",
"requiresDigitalSignature": True,
"displayInProfile": True
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/contracts"
payload := strings.NewReader("{\n \"name\": \"Member Agreement 2026\",\n \"content\": \"<h1>Civic Collective — Member Agreement</h1>\\n<p>This agreement is entered into between Civic Collective (\\\"the organization\\\") and {{firstName}} {{lastName}} (\\\"the member\\\") on {{dateSigned}}.</p>\\n<p>The member agrees to abide by the code of conduct...</p>\\n\",\n \"unit\": \"/api/v1/units/4\",\n \"requiresDigitalSignature\": true,\n \"displayInProfile\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Api-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.orgo.space/api/v1/contracts")
.header("Api-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Member Agreement 2026\",\n \"content\": \"<h1>Civic Collective — Member Agreement</h1>\\n<p>This agreement is entered into between Civic Collective (\\\"the organization\\\") and {{firstName}} {{lastName}} (\\\"the member\\\") on {{dateSigned}}.</p>\\n<p>The member agrees to abide by the code of conduct...</p>\\n\",\n \"unit\": \"/api/v1/units/4\",\n \"requiresDigitalSignature\": true,\n \"displayInProfile\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/contracts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Member Agreement 2026\",\n \"content\": \"<h1>Civic Collective — Member Agreement</h1>\\n<p>This agreement is entered into between Civic Collective (\\\"the organization\\\") and {{firstName}} {{lastName}} (\\\"the member\\\") on {{dateSigned}}.</p>\\n<p>The member agrees to abide by the code of conduct...</p>\\n\",\n \"unit\": \"/api/v1/units/4\",\n \"requiresDigitalSignature\": true,\n \"displayInProfile\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 9,
"name": "Member Agreement 2026",
"hash": "a3f8b2c4d6e8f1a3b5c7d9e1f3a5b7c9",
"requiresDigitalSignature": true,
"displayInProfile": true,
"unit": {
"id": 4,
"name": "Boston"
},
"dateCreated": "2026-01-15T10:30:00+00:00"
}Contract
Create a contract
Creates a new contract template. Sets the tenant from the authenticated user and validates signature settings (e.g., whether digital signatures are required). Requires ADMIN_TENANT permission.
POST
/
api
/
v1
/
contracts
cURL
curl -X POST https://acme.orgo.space/api/v1/contracts \
-H "Api-Token: $ORGO_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Member Agreement 2026",
"content": "<h1>Member Agreement</h1><p>Hello {{firstName}}...</p>",
"unit": "/api/v1/units/4",
"requiresDigitalSignature": true,
"displayInProfile": true
}'
await fetch("https://acme.orgo.space/api/v1/contracts", {
method: "POST",
headers: {
"Api-Token": process.env.ORGO_API_TOKEN,
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "Member Agreement 2026",
content: "<h1>Member Agreement</h1><p>Hello {{firstName}}...</p>",
unit: "/api/v1/units/4",
requiresDigitalSignature: true,
displayInProfile: true,
}),
});
$client->post('/api/v1/contracts', [
'headers' => ['Api-Token' => getenv('ORGO_API_TOKEN')],
'json' => [
'name' => 'Member Agreement 2026',
'content' => '<h1>Member Agreement</h1><p>Hello {{firstName}}...</p>',
'unit' => '/api/v1/units/4',
'requiresDigitalSignature' => true,
'displayInProfile' => true,
],
]);
import requests
url = "https://app.orgo.space/api/v1/contracts"
payload = {
"name": "Member Agreement 2026",
"content": "<h1>Civic Collective — Member Agreement</h1>
<p>This agreement is entered into between Civic Collective (\"the organization\") and {{firstName}} {{lastName}} (\"the member\") on {{dateSigned}}.</p>
<p>The member agrees to abide by the code of conduct...</p>
",
"unit": "/api/v1/units/4",
"requiresDigitalSignature": True,
"displayInProfile": True
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/contracts"
payload := strings.NewReader("{\n \"name\": \"Member Agreement 2026\",\n \"content\": \"<h1>Civic Collective — Member Agreement</h1>\\n<p>This agreement is entered into between Civic Collective (\\\"the organization\\\") and {{firstName}} {{lastName}} (\\\"the member\\\") on {{dateSigned}}.</p>\\n<p>The member agrees to abide by the code of conduct...</p>\\n\",\n \"unit\": \"/api/v1/units/4\",\n \"requiresDigitalSignature\": true,\n \"displayInProfile\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Api-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.orgo.space/api/v1/contracts")
.header("Api-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Member Agreement 2026\",\n \"content\": \"<h1>Civic Collective — Member Agreement</h1>\\n<p>This agreement is entered into between Civic Collective (\\\"the organization\\\") and {{firstName}} {{lastName}} (\\\"the member\\\") on {{dateSigned}}.</p>\\n<p>The member agrees to abide by the code of conduct...</p>\\n\",\n \"unit\": \"/api/v1/units/4\",\n \"requiresDigitalSignature\": true,\n \"displayInProfile\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/contracts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Member Agreement 2026\",\n \"content\": \"<h1>Civic Collective — Member Agreement</h1>\\n<p>This agreement is entered into between Civic Collective (\\\"the organization\\\") and {{firstName}} {{lastName}} (\\\"the member\\\") on {{dateSigned}}.</p>\\n<p>The member agrees to abide by the code of conduct...</p>\\n\",\n \"unit\": \"/api/v1/units/4\",\n \"requiresDigitalSignature\": true,\n \"displayInProfile\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 9,
"name": "Member Agreement 2026",
"hash": "a3f8b2c4d6e8f1a3b5c7d9e1f3a5b7c9",
"requiresDigitalSignature": true,
"displayInProfile": true,
"unit": {
"id": 4,
"name": "Boston"
},
"dateCreated": "2026-01-15T10:30:00+00:00"
}Authorizations
ApiTokenJWT
Server-to-server authentication. Generate a token in the admin UI at
Settings → Developers → API Access. Send the raw token in the
Api-Token header — there is no Bearer prefix.
Tokens can be marked read-only at creation time, in which case the API
rejects any non-GET request with 403 Forbidden.
Body
application/json
The new Contract resource
Example:
"/api/v1/units/1"
Example:
"/api/v1/media/1"
Response
Contract resource created
Show child attributes
Show child attributes
Show child attributes
Show child attributes

